Subject: Re: readline Bug! ;-) [was: Bash Bug! (was: Bug in rxvt 2.7.2 ...)]
From: Jason Tishler <[email-masked]>
To: Thomas Mellman <[email-masked]>
Cc: [email-masked]
Date: Fri, 11 Oct 2002 08:10:13 -0400

Thomas,

On Thu, Oct 10, 2002 at 02:30:46PM +0200, Thomas Mellman wrote:
> WRT <[email-masked]>,
> > I have been experiencing similar problems since upgrading to bash
> > 2.05b-2 and libreadline5 4.3-1.  My typical problem is that the "c"
> > command as in "cw" (i.e., change word) would stop working, but "dw"
> > (i.e., delete word) followed by "i" (i.e., insert) was fine.
> 
> I think I discovered something interesting about this: I believe it
> occurs after one uses a different vi feature that is also broken:
> 
> The use of "." to repeat the last operation works intermittenly in
> CYGWIN readline, but I believe that if you use it and it doesn't do
> what it's supposed to, then the problem with the loss of functionality
> with the other commands stops working...

Thanks for the above -- it seems to match my observations.  I will (try
to) avoid using the "." command until a patched bash is released.

Jason

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/